### Virtual Method

# Atk Text get_character_extents

#### Declaration [src]

    void
    get_character_extents (
      AtkText* text,
      gint offset,
      gint* x,
      gint* y,
      gint* width,
      gint* height,
      AtkCoordType coords
    )

#### Description [src]

If the extent can not be obtained (e.g. missing support), all of x, y, width, height are set to -1.

Get the bounding box containing the glyph representing the character at a particular text offset.

#### Parameters

`offset`

  Type: `gint`

  The offset of the text character for which bounding information is required.

`x`

  Type: `gint*`

  Pointer for the x coordinate of the bounding box.

  The argument will be set by the function.
  The argument can be `NULL`.

`y`

  Type: `gint*`

  Pointer for the y coordinate of the bounding box.

  The argument will be set by the function.
  The argument can be `NULL`.

`width`

  Type: `gint*`

  Pointer for the width of the bounding box.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Pointer for the height of the bounding box.

  The argument will be set by the function.
  The argument can be `NULL`.

`coords`

  Type: `AtkCoordType`

  Specify whether coordinates are relative to the screen or widget window.